Subject: Re: msvc directory missing in PostgreSQL 17.0

From: Bill Smith <[email-masked]>
Date: Wed, 23 Oct 2024 08:25:11 -0400

Check out this:
https://wiki.postgresql.org/wiki/Meson

There's a table showing the setup & build commands using the old way and the new way (meson).

> On Oct 21, 2024, at 4:12 PM, Mark Hill <[email-masked]> wrote:
> 
> Thanks Bill!   Do you have a sample meson command for building that you could share?
> 
> Thanks, Mark
>  
> From: Bill Smith <[email-masked] <mailto:[email-masked]>>
> Sent: Friday, October 18, 2024 4:11 PM
> To: Mark Hill <[email-masked] <mailto:[email-masked]>>
> Cc: [email-masked] <mailto:[email-masked]>
> Subject: Re: msvc directory missing in PostgreSQL 17.0
>  
> EXTERNAL
> 
>  
> 
> 
> On Oct 18, 2024, at 4:05 PM, Mark Hill <[email-masked] <mailto:[email-masked]>> wrote:
>  
> I just downloaded the Postgresql 17.0 and the extracted directory postgresql-17.0/src/tools does not contain
> the “msvc” directory as it has since I’ve been building Postgres 12, 14, and 16.   How am I supposed to build
> PostgreSQL for Windows now?   I’m not sure what msvc_gendef.pl does.   How do we build Postgres for Windows
> using Visual Studio?
> 
>  
> You’ll want to use meson to build PG.  See the docs here:
> 17.7. Platform-Specific Notes <https://protect.checkpoint.com/v2/r01/___https://www.postgresql.org/docs/current/installation-platform-notes.html%23INSTALLATION-NOTES-VISUAL-STUDIO___.YzJ1OnNhc2luc3RpdHV0ZTpjOm86OWJiYTkyOGQ4NDg2ZWRhYjhlMjJkNGUzOGNmNjgxYjc6NzowNDYzOmRlNGQ2ZGI4MWYwNTVhNDUzM2Q4ZTc2NWYwZGJlMzQyMGI1YjE3ZDc4MWJjOTY2YTE0ZjAwMTg1ZDE0NjYxOWM6aDpUOk4>
> postgresql.org <https://protect.checkpoint.com/v2/r01/___https://www.postgresql.org/docs/current/installation-platform-notes.html%23INSTALLATION-NOTES-VISUAL-STUDIO___.YzJ1OnNhc2luc3RpdHV0ZTpjOm86OWJiYTkyOGQ4NDg2ZWRhYjhlMjJkNGUzOGNmNjgxYjc6Nzo3ZjViOmI0YTgyMGRhMTA2MGY4NDE0OTcyOGQxMWU0MDA4MmE1ZWMzMjg1YjM4YTY2ZjBhZTQwMmZjOGYzNTE1MzNjYzU6aDpUOk4>
> 
> 
> Thanks, Mark